Skip to main content
GET
/
planning-briefs
List planning briefs
curl --request GET \
  --url https://api.interchange.io/api/v2/buyer/planning-briefs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "customerId": 0,
      "advertiserId": 0,
      "buyerName": "<string>",
      "advertiserName": "<string>",
      "campaignName": "<string>",
      "audience": "<string>",
      "geo": "<string>",
      "channels": [],
      "exclusions": [
        {
          "values": [],
          "raw": "<string>"
        }
      ],
      "startDate": "<string>",
      "endDate": "<string>",
      "flexibility": {
        "days": 4503599627370495
      },
      "statedBudget": 123,
      "currency": "<string>",
      "primaryKpi": {
        "raw": "<string>",
        "parsed": {
          "value": 123
        }
      },
      "priceExpect": 123,
      "creativeReady": true,
      "rawPrompt": "<string>",
      "qualifiedBudget": 123,
      "recommendedProducts": [
        {
          "productId": "<string>",
          "name": "<string>",
          "estimatedCpm": 123,
          "estimatedImpressions": 4503599627370495,
          "estimatedReach": 4503599627370495,
          "matchPct": 50,
          "rationale": "<string>"
        }
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "total": 4503599627370495,
  "hasMore": true,
  "nextOffset": 4503599627370495
}

Documentation Index

Fetch the complete documentation index at: https://docs.interchange.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

status
enum<string>

Lifecycle of a demand signal. SEARCHING on create; QUOTED when at least one seller responds; BOOKED when at least one target converts to a deal; ABANDONED after idle; DECLINED if every target declined.

Available options:
SEARCHING,
QUOTED,
BOOKED,
ABANDONED,
DECLINED
advertiserId
integer
Required range: x <= 9007199254740991
limit
integer
Required range: x <= 100
offset
integer
Required range: 0 <= x <= 9007199254740991

Response

List planning briefs

Paginated list of demand signals owned by the buyer customer.

items
object[]
required
total
integer
required
Required range: 0 <= x <= 9007199254740991
hasMore
boolean
required
nextOffset
integer | null
required
Required range: 0 <= x <= 9007199254740991